<?php  
$wp_customize->add_section(
    'peccular_about_section',
    array(
        'title' => __( 'About Us', 'peccular-premium' ),
        'panel' => 'peccular_premium_home_panel1',
        'priority' =>19
    ) 
); 
$wp_customize->add_setting('peccular_about_nav', array(
   'sanitize_callback' => 'wp_kses_post',
)); 
$wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_about_nav', array(
   'section' => 'peccular_about_section',
   'priority' => 1,
   'buttons' => array(
      array(
         'name' => esc_html__('General', 'peccular-premium'),
         'icon' => 'dashicons dashicons-welcome-write-blog',
         'fields' => array(
            'peccular_about_enable',
            'peccular_aboutimg1_section_lbl',
            'peccular_about_image',
            'peccular_about_headImg_display',
            'peccular_abouttitle',
            'peccular_about_text',
            'peccular_aboutyeartxt',
            'peccular_aboutyeartxtdesc',
            'curtains_features_npp_count_heading',
            'curtains_features_npp_count',
            'curtains_features_page1',
            'curtains_features_page2',
            'curtains_features_page3',
            'curtains_features_page4',
            'curtains_features_page5',
            'curtains_features_page6',
            'curtains_features_page7',
            'curtains_features_page8',
            'curtains_features_page9',
            'curtains_features_page10',
            'curtains_features_page11',
            'curtains_features_page12',
            'curtains_features_page_icon1',
            'curtains_features_page_icon2',
            'curtains_features_page_icon3',
            'curtains_features_page_icon4',
            'curtains_features_page_icon5',
            'curtains_features_page_icon6',
            'curtains_features_page_icon7',
            'curtains_features_page_icon8',
            'curtains_features_page_icon9',
            'curtains_features_page_icon10',
            'curtains_features_page_icon11',
            'curtains_features_page_icon12',
            'curtains_features_page_title_1',
            'curtains_features_page_title_2',
            'curtains_features_page_title_3',
            'curtains_features_page_title_4',
            'curtains_features_page_title_5',
            'curtains_features_page_title_6',
            'curtains_features_page_title_7',
            'curtains_features_page_title_8',
            'curtains_features_page_title_9',
            'curtains_features_page_title_10',
            'curtains_features_page_title_11',
            'curtains_features_page_title_12',
            'curtains_features_page_description_1',
            'curtains_features_page_description_2',
            'curtains_features_page_description_3',
            'curtains_features_page_description_4',
            'curtains_features_page_description_5',
            'curtains_features_page_description_6',
            'curtains_features_page_description_7',
            'curtains_features_page_description_8',
            'curtains_features_page_description_9',
            'curtains_features_page_description_10',
            'curtains_features_page_description_11',
            'curtains_features_page_description_12',
            'peccular_about_button_display',
            'peccular_about_btn_txt',
            'peccular_about_btnlink'
        ),
         'active' => true,
     ),
      array(
        'name' => esc_html__('Style', 'peccular-premium'),
        'icon' => 'dashicons dashicons-art',
        'fields' => array(
            'peccular_about_section_bg_color',
            'peccular_about_section_bg_image',
            'peccular_about_image_opacity',
            'peccular_about_box_onload_effects',
            'peccular_about_head_align',                               
            'peccular_about_sheading_color',
            'peccular_about_sdescriptionText_color',
            'peccular_about_yeartxt_color',
            'peccular_about_exptxt_color',
            'peccular_about_bxbg_color',
            'peccular_about_bxbgbrs_color',
            'peccular_about_bxbghoverbrs_color',
            'peccular_about_icon_color',
            'peccular_about_iconbrs_color',
            'peccular_about_iconhover_color',
            'peccular_about_iconbghvbrs_color',
            'peccular_about_feattl_color',
            'peccular_about_feattltxt_color',
            'peccular_about_btntxt_color',
            'peccular_about_btnhovertxt_color',
            'peccular_about_btnbg_color',
            'peccular_about_btnhoverbg_color',
            'peccular_about_btnhoverbgtwo_color',
            'peccular_about_secbrs_color',
            'peccular_about_btnhoverbrss_color',
            'peccular_about_boxexpposfromset',
            'peccular_about_boxexpposfrom_padding',
            'peccular_about_secbrsclrtwo_color'       
        ),
    ),
      array(
        'name' => esc_html__('Layout', 'peccular-premium'),
        'icon' => 'dashicons dashicons-layout',
        'fields' => array(
            'peccular_about_padding',
            'peccular_about_section_t_padding',
            'peccular_about_section_b_padding',
            'peccular_about_section_width',
            'peccular_about_vertheightset',
            'peccular_about_horheight_padding',
            'peccular_about_vertheight_padding'
        ),
    )
  ),
)));
$wp_customize->add_setting( 'peccular_about_enable',array(
    'default' => true,
    'sanitize_callback' => 'peccular_switch_sanitization'
) );
$wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_about_enable',array(
    'label' => __( 'Disable Section','peccular' ),
    'section' => 'peccular_about_section'
)));
$wp_customize->add_setting('peccular_aboutimg1_section_lbl', array('sanitize_callback'=>'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Info_Text( 
        $wp_customize,
        'peccular_aboutimg1_section_lbl',
        array(
            'settings'      => 'peccular_aboutimg1_section_lbl',
            'section'       => 'peccular_about_section',
            'label'         => __( 'Note:', 'peccular Premium' ), 
            'description'   => __( 'Add Section Left Image Of [400 * 568] Resolution To Show Image Content In Proper Way.', 'peccular Premium' ),
        )
    )
);
$wp_customize->add_setting( 'peccular_about_image', array(
   'default' => '',
   'sanitize_callback' => 'esc_url_raw'
));
$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_about_image', array(
    'label' => __('Left Image','peccular'),
    'section' => 'peccular_about_section',
)));
$wp_customize->add_setting(
    'peccular_aboutyeartxt',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( '45', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_aboutyeartxt',
    array(
        'settings'      => 'peccular_aboutyeartxt',
        'section'       => 'peccular_about_section', 
        'type'          => 'text',
        'label'         => __( 'Year Text', 'peccular-premium' )
    )
);
$wp_customize->add_setting(
    'peccular_aboutyeartxtdesc',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Years Experience.', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_aboutyeartxtdesc',
    array(
        'settings'      => 'peccular_aboutyeartxtdesc',
        'section'       => 'peccular_about_section', 
        'type'          => 'text',
        'label'         => __( 'Experience Text', 'peccular-premium' )
    )
);
$wp_customize->add_setting(
    'peccular_abouttitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'About Our Store', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_abouttitle',
    array(
        'settings'      => 'peccular_abouttitle',
        'section'       => 'peccular_about_section', 
        'type'          => 'text',
        'label'         => __( 'Section Title', 'peccular-premium' )
    )
);
$wp_customize->add_setting(
    'peccular_about_text',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'At “Curtains Store”, we provide you with an excellent shopping experience as our client’s satisfaction matter a lot. We have the perfect combination of Best products that are tailored through our standard shopping practice. </br>
            Even if you are not sure of what you want, our e-shop has got several ways to help you identify your needs. Everything about revolves around our commitment to help you look your best and inspire confidence in you.', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_about_text',
    array(
        'settings'      => 'peccular_about_text',
        'section'       => 'peccular_about_section', 
        'type'          => 'textarea',
        'label'         => __( 'Section Description', 'peccular-premium' )
    )
);
$wp_customize->add_setting('curtains_features_npp_count_heading',array('sanitize_callback' => 'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Customize_Heading(
        $wp_customize,
        'curtains_features_npp_count_heading',
        array(
            'settings'      => 'curtains_features_npp_count_heading',
            'section'       => 'peccular_about_section',
            'label'         => __( 'Number Of About Features To Show', 'soccerclub' ),
        )
    )
);    
$wp_customize->add_setting('curtains_features_npp_count',array('sanitize_callback' => 'peccular_sanitize_text','default' => 1));
$wp_customize->add_control(
    'curtains_features_npp_count',
    array(
        'settings'      => 'curtains_features_npp_count',
        'section'       => 'peccular_about_section',
        'type'          => 'select',
        'label'         => __( 'Number Of About Features To Show', 'soccerclub' ),
        'choices'=>array(1,2,3,4,5,6,7,8,9,10,11,12)
    )
); 
//FEATURED PAGES
for( $i = 1; $i <= 12; $i++ ){
    $wp_customize->add_setting(
        'curtains_features_page'.$i,
        array(
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new peccular_Customize_Heading(
            $wp_customize,
            'curtains_features_page'.$i,
            array(
                'settings'      => 'curtains_features_page'.$i,
                'section'       => 'peccular_about_section',
                'label'         => __( 'About Feature Box -', 'soccerclub-premium' ).$i
            )
        )
    );
    $wp_customize->add_setting(
        'curtains_features_page_icon'.$i,
        array(
            'default'           => 'fa fa-dribbble',
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new peccular_Fontawesome_Icon_Chooser(
            $wp_customize,
            'curtains_features_page_icon'.$i,
            array(
                'settings'      => 'curtains_features_page_icon'.$i,
                'section'       => 'peccular_about_section',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'soccerclub-premium' ),
            )
        )
    );
    lzAddElement($wp_customize, 'curtains_features_page_title_'.$i, 'peccular_about_section', $type = 'text', $label="Title", $callback ='peccular_sanitize_text', $default='Fast Service');

    lzAddElement($wp_customize, 'curtains_features_page_description_'.$i, 'peccular_about_section', $type = 'textarea', $label="Description", $callback ='peccular_sanitize_text', $default='Loreum ipsum dolor sit');
}
// to show & hide another button
$wp_customize->add_setting( 'peccular_about_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'peccular_about_button_display', array( 'label' => 'Button Display', 'section' => 'peccular_about_section', 'settings' => 'peccular_about_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) ); 
// end to show & hide button
$wp_customize->add_setting(
    'peccular_about_btn_txt',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Read More' )
    )
);
$wp_customize->add_control(
    'peccular_about_btn_txt',
    array(
        'settings'      => 'peccular_about_btn_txt',
        'section'       => 'peccular_about_section',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'peccular-premium' )
    )
);
$wp_customize->add_setting('peccular_about_btnlink',   array('default'=> 'Add Link Here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_about_btnlink',
    array(
        'settings'      => 'peccular_about_btnlink',
        'section'       => 'peccular_about_section',
        'type'          => 'url',
        'label'         => __( 'Button Link', 'peccular-premium' )
    )
);
$wp_customize->add_setting( 'peccular_about_section_bg_color', array(
   'default' => '',
   'sanitize_callback' => 'sanitize_hex_color'
));
$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'peccular_about_section_bg_color', array(
    'label' => __('Section Background Color','peccular'),
    'section' => 'peccular_about_section',
)));

$wp_customize->add_setting( 'peccular_about_section_bg_image', array(
   'default' => '',
   'sanitize_callback' => 'esc_url_raw'
));
$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_about_section_bg_image', array(
    'label' => __('Section Background Image','peccular'),
    'section' => 'peccular_about_section',
)));
$wp_customize->add_setting('peccular_about_image_opacity',array(
    'default' => 1,
    'sanitize_callback' => 'peccular_sanitize_float'
));
$wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_about_image_opacity',array(
    'label' => __('Background Opacity','peccular'),
    'section' => 'peccular_about_section',
    'input_attrs' => array(
        'min' => 0,
        'max' => 1,
        'step' => 0.1,
    ),
)));
$wp_customize->add_setting('peccular_about_box_onload_effects',array(
    'default' => 'Zoom In',
    'sanitize_callback' => 'peccular_sanitize_choices',
));
$wp_customize->add_control('peccular_about_box_onload_effects',array(
    'type' => 'select',
    'label' => __('Onload Transition Effects','peccular'),
    'choices' => array (
        'wow bounceInLeft' => __('Bounce In Left','peccular'),
        'wow bounceInRight' => __('Bounce In Right','peccular'),
        'wow bounceInUp' => __('Bounce In Up','peccular'),
        'wow bounceInDown' => __('Bounce In Down','peccular'),
        'wow zoomIn' => __('Zoom In','peccular'),
        'wow zoomOut' => __('Zoom Out','peccular'),
        'wow fadeInDown' => __('Fade In Down','peccular'),            
        'wow fadeInUp' => __('Fade In Up','peccular'),
        'wow fadeInLeft' => __('Fade In Left','peccular'),
        'wow fadeInRight' => __('Fade In Right','peccular'),
        'flip-up' => __('Flip Up','peccular'),
        'none' => __('None','peccular')
    ),
    'section' => 'peccular_about_section',
));
$wp_customize->add_setting('peccular_about_head_align',array(
    'default' => 'Left',
    'sanitize_callback' => 'peccular_sanitize_choices',
));
$wp_customize->add_control('peccular_about_head_align',array(
    'type' => 'select',
    'label' => __('Section Heading Alignment','peccular'),
    'choices' => array (
        'Center' => __('Center','peccular'),
        'Left' => __('Left','peccular'),
        'Right' => __('Right','peccular')
    ),
    'section' => 'peccular_about_section',
));
$wp_customize->add_setting('peccular_about_padding',array(
  'sanitize_callback'   => 'esc_html'
));
$wp_customize->add_control('peccular_about_padding',array(
  'label' => __('Section Padding','peccular'),
  'section' => 'peccular_about_section'
));
$wp_customize->add_setting('peccular_about_section_t_padding',array(
    'default' => '7',
    'sanitize_callback' => 'sanitize_text_field'
));
$wp_customize->add_control('peccular_about_section_t_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_about_section',
));
$wp_customize->add_setting('peccular_about_section_b_padding',array(
    'default' => '4',
    'sanitize_callback' => 'sanitize_text_field'
));
$wp_customize->add_control('peccular_about_section_b_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_about_section',
));

$wp_customize->add_setting('peccular_about_section_width',array(
    'default' => 'Box Width',
    'sanitize_callback' => 'peccular_sanitize_choices',
));
$wp_customize->add_control('peccular_about_section_width',array(
    'type' => 'select',
    'label' => __('Section Width','peccular'),
    'choices' => array (
        'Box Width' => __('Box Width','peccular'),
        'Full Width' => __('Full Width','peccular')
    ),
    'section' => 'peccular_about_section',
));
$wp_customize->add_setting('peccular_about_vertheightset',array(
  'sanitize_callback'   => 'esc_html'
));
$wp_customize->add_control('peccular_about_vertheightset',array(
  'label' => __('Set Height For Vertical Line 1 & Line 2','peccular'),
  'section' => 'peccular_about_section'
));

$wp_customize->add_setting('peccular_about_vertheight_padding',array(
    'default' => '55',
    'sanitize_callback' => 'sanitize_text_field'
));
$wp_customize->add_control('peccular_about_vertheight_padding',array(
    'type' => 'number',
    'label' => __('Line 1','peccular'),
    'section' => 'peccular_about_section',
));
$wp_customize->add_setting('peccular_about_horheight_padding',array(
    'default' => '80',
    'sanitize_callback' => 'sanitize_text_field'
));
$wp_customize->add_control('peccular_about_horheight_padding',array(
    'type' => 'number',
    'label' => __('Line 2','peccular'),
    'section' => 'peccular_about_section',
));
$wp_customize->add_setting('peccular_about_boxexpposfrom_padding',array(
    'default' => '0',
    'sanitize_callback' => 'sanitize_text_field'
));
$wp_customize->add_control('peccular_about_boxexpposfrom_padding',array(
    'type' => 'number',
    'label' => __('Experience Box Position From Left','peccular'),
    'section' => 'peccular_about_section',
));
addColorPalatOption($wp_customize, 'peccular_about_yeartxt_color', 'peccular_about_section', 'Year Text Color', '');
addColorPalatOption($wp_customize, 'peccular_about_exptxt_color', 'peccular_about_section', 'Experience Text Color', '');
addColorPalatOption($wp_customize, 'peccular_about_bxbg_color', 'peccular_about_section', 'Box BG Color', '');
addColorPalatOption($wp_customize, 'peccular_about_bxbgbrs_color', 'peccular_about_section', 'Box Border Color', '');
addColorPalatOption($wp_customize, 'peccular_about_bxbghoverbrs_color', 'peccular_about_section', 'Box Hover Border Color', '');
addColorPalatOption($wp_customize, 'peccular_about_sheading_color', 'peccular_about_section', 'Section Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_about_sdescriptionText_color', 'peccular_about_section', 'Section Text Color', '');
addColorPalatOption($wp_customize, 'peccular_about_icon_color', 'peccular_about_section', 'Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_about_iconhover_color', 'peccular_about_section', 'Icon Hover Color', '');
addColorPalatOption($wp_customize, 'peccular_about_iconbrs_color', 'peccular_about_section', 'Icon Border Color', '');
addColorPalatOption($wp_customize, 'peccular_about_iconbghvbrs_color', 'peccular_about_section', 'Icon Hover BG Color', '');
addColorPalatOption($wp_customize, 'peccular_about_feattl_color', 'peccular_about_section', 'About Features Title Color', '');
addColorPalatOption($wp_customize, 'peccular_about_feattltxt_color', 'peccular_about_section', 'About Features Text Color', '');

addColorPalatOption($wp_customize, 'peccular_about_btntxt_color', 'peccular_about_section', 'Button Text Color', '');
addColorPalatOption($wp_customize, 'peccular_about_btnhovertxt_color', 'peccular_about_section', 'Button Hover Text Color', '');
addColorPalatOption($wp_customize, 'peccular_about_btnbg_color', 'peccular_about_section', 'Button BG Color', '');
addColorPalatOption($wp_customize, 'peccular_about_btnhoverbg_color', 'peccular_about_section', 'Button Hover BG Color 1', '');
addColorPalatOption($wp_customize, 'peccular_about_btnhoverbgtwo_color', 'peccular_about_section', 'Button Hover BG Color 2', '');

addColorPalatOption($wp_customize, 'peccular_about_btnhoverbrss_color', 'peccular_about_section', 'Button Hover Border Color', '');

addColorPalatOption($wp_customize, 'peccular_about_secbrs_color', 'peccular_about_section', 'Section Border Color 1', '');
addColorPalatOption($wp_customize, 'peccular_about_secbrsclrtwo_color', 'peccular_about_section', 'Section Border Color 2', '');
?>