<?php
/**
 * Template Name: Blog Page with Right Sidebar Template
 *
 * @package peccular Premium
 */
get_header(); ?>
  <?php $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
<div class="peccular-page-main"> 
    <header class="page-main-header2"> 
             <div class="site-details">
              
                <div class="image-icon">
                  
    <?php
    if(get_theme_mod('page_title_on_off') != 'on' ){
  ?>
    <div class="Page_title_breadcrumb <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
       
         <?php
    if(get_theme_mod('breadcrumb_on_off') != 'on' ){
  ?>
        <div class="breadcrumbbox <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
            <div class="Breadcrumb_title">
                <div class='button'><?php peccular_lite_the_breadcrumb(); ?></div>
                <!--  <?php //peccular_lite_the_breadcrumb(); ?> -->
            </div>
            <div class="clearfix"></div>
        </div>
 <?php } ?> 
    </div>
 <?php } ?> 

     </div>
 
</div> 


        <div class="innheadimg">

<?php  if(get_theme_mod('innerpage_featured_img_on_off') != 'on' ){ ?>

 <?php  if (!empty($image)) : ?>
     <img src="<?php echo esc_url($image); ?>"  class="ht-page-header-img" alt="<?php the_title();?>" />

  <?php endif ?> 

 <?php } ?>         
             
</div>

<!--   <//?php
    if(get_theme_mod('innerpage_featured_img_on_off') != 'on' ){
  ?>

 <//?php  if (!empty($image)) : ?>
  style="background: url('<//?php echo esc_url($image); ?>'); background-repeat: no-repeat; background-size:cover;
   height: <//?php echo esc_attr(get_theme_mod('peccular_innerpage_image_height','330')) ?>px;
  "
  <//?php endif ?> 

 <//?php } ?>

  > -->
 <div class="peccular-innerpage-overlay"></div> 
</header><!-- .entry-header --> 

<div class="clearfix"></div>
</div>
<main id="innerpage-box">
    <div class="<?php if(get_theme_mod('peccular_blog_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_blog_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">
    <div class="inner_contentbox">
   <div class="row m-0">
        
      <div id="blog-box" class="ht-blog-wrap innerpage-whitebox col-xl-8 col-lg-8 col-md-6 col-sm-12 col-xs-12">
          <div class="row md-1"> 
        <?php
            $current_page = max(1, get_query_var('paged'));
            $peccular_blog_cat_exclude = get_theme_mod('peccular_blog_categories');
            $peccular_blog_cat_exclude = explode(',', $peccular_blog_cat_exclude);
            $excerpt = get_theme_mod('peccular_blog_categories_settings');
            $args = array(
                'category__not_in' => $peccular_blog_cat_exclude,
                // 'page'=,
                'paged'=> $current_page,
            );
            $query = new WP_Query($args);
            if($query -> have_posts()):
                while($query -> have_posts()) : $query -> the_post();
                 $peccular_image = wp_get_attachment_image_src(get_post_thumbnail_id() , 'total-blog-thumb');
                 $img = (has_post_thumbnail())?esc_url($peccular_image[0]):get_template_directory_uri().'/images/default.png';
                 ?>
                  <div class="inner-blog-post wow zoomIn col-lg-6 col-md-12 col-sm-12 col-xs-12">
                                  <div class="inner-blogpost">               
                    <?php
                        if(get_theme_mod('blog_featured_img_on_off') != 'on' ){
                      ?>
                      
                     <div class="ht-blog-thumbnail">
                      
                          <img class="inner-blog-img" src="<?php echo $img; ?>" alt="<?php the_title(); ?>" style="height: <?php echo esc_attr(get_theme_mod('peccular_blogpage_post_image_height','364')) ?>px;">
                           <?php if (get_theme_mod('peccular_show_author',true) != false){ ?>
                          <div class="post-info">
                            <ul class="category">
                                <li><a><i class="fa fa-comment-o" aria-hidden="true"></i><?php echo $my_var = get_comments_number(); ?></a></li>
                                <li><a><i class="fa fa-user" aria-hidden="true"></i><?php echo get_the_author(); ?></a></li>
                            </ul>
                        </div>
                         <?php } ?>
                           <ul class="blog-share-ico">
               <li>
                <?php if (get_theme_mod('blog_socials_on_off',true) != false){ ?>
                  <?php

                  $facebook = get_theme_mod('blog_fb', '//facebook.com/');
                  $twitter = get_theme_mod('blog_tw', '//twitter.com/');
                  $linkedIn = get_theme_mod('blog_in', '//linkedin.com/');
                  ?>

                  <div class="blog-share"> 
                    
                    <div class="share-btn">
                      <ul class="clearfix">
                        <?php if(!empty($facebook)){ ?>
                          <li><a href="<?php echo $facebook ?>" title="Facebook" class="site-button sharp" target="_blank"><i class="fa fa-facebook"></i></a></li>
                        <?php }?>

                        <?php if(!empty($twitter)){ ?>
                          <li><a href="<?php echo $twitter ?>" title="Twitter" class="site-button sharp" target="_blank"><i class="fa fa-twitter"></i></a></li>
                        <?php }?>

                        <?php if(!empty($linkedIn)){ ?>
                          <li><a href="<?php echo $linkedIn ?>" title="LinkedIn" class="site-button sharp" target="_blank"><i class="fa fa-linkedin"></i></a></li>
                        <?php }?>

                        <li class="share-button"><a href="#" class="site-button sharp"><i class="fa fa-share-alt"></i></a></li>
                      </ul>
                    </div>
                  </div>
                <?php } ?> 
                
              </li>
            </ul> 
                         <a class="blog-link" href="<?php the_permalink(); ?>"> <div class="overlay"></div></a>
                    </div>
                  
                    <?php } ?>
                      <div class="peccular-blog-single">
                        <div class="peccular-blog-comment col-lg-12 col-md-12 col-sm-12 col-xs-12">
                            <ul>
                                  <li class="blog_date_box">
                                 <?php if (get_theme_mod('peccular_show_date',true) != false){ ?>
                                  <div class="peccular-blog-date">
                                   <span><?php echo get_the_date( 'j M Y' ); ?></span>
                                  </div>
                                <?php } ?> 
                              </li>
                            </ul>                            
                      </div>
                      <div class="clearfix"></div>

                        <h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>

                      <div class="clearfix"></div>

                      <?php if (get_theme_mod('blog_page_excerpt_display',true) != false){ ?>
                           <div class="inner-blog-excerpt">
                                <?php $peccular_excerpt = get_the_excerpt(); echo esc_html( peccular_string_limit_words( $peccular_excerpt, esc_attr(get_theme_mod('peccular_blogpage_post_excerpt','16')) ) ); ?>

                          </div>
                      <?php } ?>                        
                      <?php
                        $blogbutton = get_theme_mod('blog_page_btn_txt', 'READ MORE'); 
                      ?>
                      <?php
                        if(get_theme_mod('blog_page_button_display') != 'on' ){
                      ?>  
                        <a class="btn btn-lg" href="<?php the_permalink(); ?>" target="_blank"> 
                            <span> <?php echo ($blogbutton );  ?> </span>
                          </a>
                          <?php } ?>                    
                 </div>
                   
               
                   <div class="clearfix"></div> 
           </div>
                          <script>
                        jQuery.noConflict();
                        $(function(){
                          function innerblogpostHeight(){
                            var ht = 0;
                            $('.page-template-blogpagewithrightsidebar-template .inner-blogpost').each(function(i){
                              var tHt = $(this).height();
                              if(ht<tHt){
                                ht=tHt;
                              }
                            });
                            $('.page-template-blogpagewithrightsidebar-template .inner-blogpost').height(ht+'px');
                          }
                          innerblogpostHeight();
                        });
                        $( window ).resize(function(){
                          innerblogpostHeight();
                        });
                      </script>
                   </div> 
                   <?php
               endwhile;
            endif;
            wp_reset_postdata();
            ?>
          </div>
            <div class="clearfix"></div>

            </div>
            <div class="col-xl-4 col-lg-4 col-md-6 col-sm-12 col-xs-12 p-0">
           <div id="secondary" class="widget-area">
            <?php  dynamic_sidebar('peccular-blog-sidebar'); ?>
          </div>
        </div>


    <div class="clearfix"></div>
    
    <div class="pagingation">
        <?php lzGetPagination($query);?>
    </div>
    <div class="clearfix"></div>
    </div>
            <div class="clearfix"></div>
    </div>
  </div>
</main><!-- #main -->
<?php get_footer(); ?>
