<?php if (get_theme_mod('peccular_about_enable', true) == true) { ?>
	<!-- about Area Start -->

	<section class="about-area" id="about">
		<div class="about-bg"></div>
		<div class="<?php if(get_theme_mod('peccular_about_section_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_about_section_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">

			<?php
			$showStatic = true;
			for( $i = 1; $i < 7; $i++ ){
				$url = get_theme_mod('peccular_about_section_url_'.$i, '#');
				$link = get_theme_mod('peccular_about_section_link'.$i);
				$peccular_about_section_id = get_theme_mod('peccular_about_section_icon'.$i); 
				if(!empty($peccular_about_section_id)){
					$showStatic = false;
					break;
				}
			}   

			$peccular_about_section_id = get_theme_mod('peccular_about_section');
			$peccular_abouttitle = get_theme_mod('peccular_abouttitle', 'About Our Store');		
			$peccular_about_text = get_theme_mod('peccular_about_text', 'At “Curtains Store”, we provide you with an excellent shopping experience as our client’s satisfaction matter a lot. We have the perfect combination of Best products that are tailored through our standard shopping practice. </br>
				Even if you are not sure of what you want, our e-shop has got several ways to help you identify your needs. Everything about revolves around our commitment to help you look your best and inspire confidence in you.');

			$peccular_aboutyeartxt = get_theme_mod('peccular_aboutyeartxt', '45');		
			$peccular_aboutyeartxtdesc = get_theme_mod('peccular_aboutyeartxtdesc', 'Years Experience.');		
			?>
			<div class="about-body">
				<div class="row">
					<div class="col-xl-5 col-lg-6 col-md-12 col-sm-12 col-xs-12 padding-0 about-img-area">	
						<div class="col-xl-10 col-lg-10 col-md-8 col-sm-8 col-xs-12 peccular-about-videobox">	
							<div class="peccular-about-img"> 
								<?php 
								$peccular_about_image = get_theme_mod('peccular_about_image');
								if(!empty($peccular_about_image)){
									echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($peccular_about_image).'" class="peccular-about-imgboxshape" />';
								}else{
									echo '<img alt="about us" src="'.get_template_directory_uri().'/images/aboutus1.jpg" class="peccular-about-imgboxshape" />';
								}
								?>						
							</div> 		
						</div>

						<?php if($peccular_aboutyeartxt || $peccular_aboutyeartxtdesc){ ?>
							<div class="col-md-12 col-sm-12 aboutconstruction">
								<div class="row construction-box">
									<div class="col-xl-3 col-lg-3 col-md-3 col-sm-3 about-year-txt count">
										<?php echo ($peccular_aboutyeartxt);  ?>
									</div>
									<div class="col-xl-9 col-lg-9 col-md-9 col-sm-9 about-exp-txt">
										<?php echo ($peccular_aboutyeartxtdesc);  ?>
									</div>
								</div>
							</div>
						<?php }?>

					</div>
					<div class="col-xl-7 col-lg-6 col-md-12 col-sm-12 col-xs-12 padding-0 space-abtblock <?php echo esc_attr(get_theme_mod('peccular_about_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">

						<?php if($peccular_abouttitle || $peccular_abouttitle){ ?>
							<div class="peccular-section-head" style="text-align: <?php if(get_theme_mod('peccular_about_head_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_about_head_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_about_head_align','Right') == 'Right'){ ?> right <?php } ?> "> 

								<?php if($peccular_abouttitle){ ?>

									<h2><?php echo ($peccular_abouttitle);  ?></h2>

								<?php }?>		
								<div class="clearfix"></div> 
							</div>
						<?php }?>  
						<div class="about_description">
							<?php echo ($peccular_about_text);  ?>
						</div>

						<?php
						$showStatic = true;
						for( $i = 1; $i < 7; $i++ ){
							$url = get_theme_mod('curtains_features_page_url_'.$i, '#');
							$link = get_theme_mod('curtains_features_page_link'.$i);
							$curtains_features_page_id = get_theme_mod('curtains_features_page_icon'.$i); 
							if(!empty($curtains_features_page_id)){
								$showStatic = false;
								break;
							}
						}
						$curtains_features_page_id = get_theme_mod('curtains_features_page');	
						?>
						<div class="curtains-features-area"> 
							<div class="row">
								<!-- <div class="col-md-4 col-sm-4 col-xs-12"> -->
									<?php
									$cols = get_theme_mod('curtains_features_npp_count', 1);
									$cols++;
							// echo '$cold: '.$cols;
									switch($cols){
										case 1:
										$colCls = 'col-xl-12 col-lg-12 col-md-12 col-sm-12 col-xs-12';
										break;
										case 2:	
										case 4:
										case 6:
										case 8:
										case 10:
										case 12:
										$colCls = 'col-xl-6 col-lg-6 col-md-6 col-sm-6 col-xs-12';
										break;
										default: 
										$colCls = 'col-xl-12 col-lg-12 col-md-12 col-sm-12 col-xs-12';
										break;
									}
									$icons = array(1=>'heart', 2=>'star', 3=>'flash', 4=>'bell',5=>'heart', 6=>'star', 7=>'flash', 8=>'bell');
									?>

									<?php
									for( $i = 1; $i <= $cols; $i++ ){

										if($showStatic === false){
											$url = get_theme_mod('curtains_features_page_url_'.$i, '#');

											$curtains_features_page_title = get_theme_mod('curtains_features_page_title_'.$i, 'General contract');
											$curtains_features_page_description = get_theme_mod('curtains_features_page_description_'.$i, 'there are many variations of passages of lorem');
											$curtains_features_page_id = get_theme_mod('curtains_features_page'.$i); 
											$curtains_features_page_icon = get_theme_mod('curtains_features_page_icon'.$i);
											if($curtains_features_page_icon){
												?>
												<div class="<?php echo $colCls;?> curtains-features-b mb-4 small-scr-full">
													<div feature-match-height="groupName" class="curtains-features-single <?php echo esc_attr(get_theme_mod('peccular_about_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s" >

														<div class="row">
															<div class="col-xl-3 col-lg-3 col-md-3 col-sm-3 col-xs-3">

															<ul>
																<li>
														<a href="<?php echo esc_url(!empty($url)?$url:'#');?>">
																<span></span>
															<span>
																<i class="<?php echo $curtains_features_page_icon; ?>"></i>
															</span>
																<span></span>
														<span><i class="<?php echo $curtains_features_page_icon; ?>"></i></span>
																	</a>
																</li>
															</ul>
															</div>
															<div class="col-xl-9 col-lg-9 col-md-9 col-sm-9 col-xs-9 resp-cs">
																<h4 class="curtains-features-title" style="text-transform : <?php if(get_theme_mod('curtains_features_title_case','Capitalize') == 'Capitalize'){ ?> capitalize <?php } elseif(get_theme_mod('curtains_features_title_case','Lowercase') == 'Lowercase'){ ?> lowercase <?php } elseif(get_theme_mod('curtains_features_title_case','Uppercase') == 'Uppercase'){ ?> uppercase <?php } ?>">
																	<?php echo $curtains_features_page_title; ?>
																</h4>
																<div class="curtains-features-content">
																	<p class="curtains-features-text">
																		<?php echo $curtains_features_page_description; ?>
																	</p>
																	<div class="clearfix"></div>
																</div>
															</div>
															<div class="clearfix"></div>
														</div>
													</div>
												</div>
												<?php
											}
										}else{?>
											<div class="curtains-features-b col-xl-6 col-lg-6 col-md-6 col-sm-6 col-xs-12 mb-4 small-scr-full">
												<div feature-match-height="groupName" class="curtains-features-single <?php echo esc_attr(get_theme_mod('peccular_about_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s" >


													<div class="row">
														<div class="col-xl-3 col-lg-3 col-md-3 col-sm-3 col-xs-3">	
															<ul>
																<li>
																	<a href="#">
																		<span></span>
																		<span><i class="fa fa-dribbble" aria-hidden="true"></i></span>
																		<span></span>
																		<span><i class="fa fa-dribbble" aria-hidden="true"></i></span>
																	</a>
																</li>
															</ul>								
														</div>
														<div class="col-xl-9 col-lg-9 col-md-9 col-sm-9 col-xs-9 resp-cs">
															<h4 class="curtains-features-title" style="text-transform : <?php if(get_theme_mod('curtains_features_title_case','Capitalize') == 'Capitalize'){ ?> capitalize <?php } elseif(get_theme_mod('curtains_features_title_case','Lowercase') == 'Lowercase'){ ?> lowercase <?php } elseif(get_theme_mod('curtains_features_title_case','Uppercase') == 'Uppercase'){ ?> uppercase <?php } ?>">
																Fast Service
															</h4>

															<p class="curtains-features-text">
																Loreum ipsum dolor sit
															</p>

														</div>
														<div class="clearfix"></div>
													</div>

												</div>
											</div>
										<?php }

									}?>

									<!-- </div> -->				
									<div class="clearfix"></div>
								</div>
							</div>


							<?php if( get_theme_mod('peccular_about_button_display','show' ) == 'show') :
								?>  
								<?php
								$peccular_aboutbutton = get_theme_mod('peccular_about_btn_txt', 'Read More'); 
								$peccular_aboutbtnlink = get_theme_mod('peccular_about_btnlink', '#');  
								?>
								<a class="btn btn-lg" target="_blank" href="<?php echo $peccular_aboutbtnlink ?>"><span> <?php echo ($peccular_aboutbutton );  ?></span></a>

							<?php endif ?>
						</div>

						<div class="clearfix"></div>
					</div>
					<div class="clearfix"></div>
				</div>
			</div>
			<div class="clearfix"></div>
		</section>
		
		<!-- about Area End -->
		<script>
			$(document).ready(function() {

				var counters = $(".count");
				var countersQuantity = counters.length;
				var counter = [];

				for (i = 0; i < countersQuantity; i++) {
					counter[i] = parseInt(counters[i].innerHTML);
				}

				var count = function(start, value, id) {
					var localStart = start;
					setInterval(function() {
						if (localStart < value) {
							localStart++;
							counters[id].innerHTML = localStart;
						}
					}, 40);
				}

				for (j = 0; j < countersQuantity; j++) {
					count(0, counter[j], j);
				}
			});
		</script>
	<?php }  