<?php
/** 
 * Template Name: Contact Page
 *
 * @package peccular Premium
 */
get_header(); 
?>
<?php $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
<div class="peccular-page-main"> 
	<header class="page-main-header2"> 
		<div class="site-details">

			<div class="image-icon">

				<?php
				if(get_theme_mod('page_title_on_off') != 'on' ){
					?>
					<div class="Page_title_breadcrumb <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
						
						<?php
						if(get_theme_mod('breadcrumb_on_off') != 'on' ){
							?>
							<div class="breadcrumbbox <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
								<div class="Breadcrumb_title">
									<div class='button'><?php peccular_lite_the_breadcrumb(); ?></div>
									<!--  <?php //peccular_lite_the_breadcrumb(); ?> -->
								</div>
								<div class="clearfix"></div>
							</div>
						<?php } ?> 
					</div>
				<?php } ?> 

			</div>

		</div> 


		<div class="innheadimg">

			<?php  if(get_theme_mod('innerpage_featured_img_on_off') != 'on' ){ ?>

				<?php  if (!empty($image)) : ?>
					<img src="<?php echo esc_url($image); ?>"  class="ht-page-header-img" alt="<?php the_title();?>" />

				<?php endif ?> 

			<?php } ?>         

		</div>

<!--   <//?php
    if(get_theme_mod('innerpage_featured_img_on_off') != 'on' ){
  ?>

 <//?php  if (!empty($image)) : ?>
  style="background: url('<//?php echo esc_url($image); ?>'); background-repeat: no-repeat; background-size:cover;
   height: <//?php echo esc_attr(get_theme_mod('peccular_innerpage_image_height','330')) ?>px;
  "
  <//?php endif ?> 

 <//?php } ?>

 > -->
 <div class="peccular-innerpage-overlay"></div> 
</header><!-- .entry-header --> 

<div class="clearfix"></div>
</div>
<main id="innerpage-box">
	<div class="inner_contentbox">
		<?php 

		$peccular_contact_page_form_shortcode = get_theme_mod('peccular_contactpage_form_shortcode', 'Add Form [SHORTCODE] Here');		
		$peccular_contform_maintitle = get_theme_mod('peccular_contform_maintitle', 'Contact Info');
		$peccular_contform_maintext = get_theme_mod('peccular_contform_maintext', 'Contact Form');
		$contact_page_iframe_shortcode = get_theme_mod('contact_page_iframe_shortcode', 'Add Map Embed Code Here');

		$phone = get_theme_mod('contact_page_phone', '+98 0 9876 0954');
		$phonelbl = get_theme_mod('contact_page_phonelbl', 'Phone:');

		$email = get_theme_mod('contact_page_email', 'info@Odndhfm.com');
		$emaillbl = get_theme_mod('contact_page_emaillbl', 'Email:');

		$address = get_theme_mod('contact_page_address', 'Lorem Ipsum consectetur adipiscing elit, New York');
		$addresslbl = get_theme_mod('contact_page_addresslbl', 'Address:');

		$address1 = get_theme_mod('contact_page_address1', 'Lorem ipsum dolor sit amet, consectetur');
		$addresslbl1 = get_theme_mod('contact_page_addresslbl1', 'OFFICE');

		$address2 = get_theme_mod('contact_page_address2', 'Lorem ipsum dolor sit amet, consectetur');
		$addresslbl2 = get_theme_mod('contact_page_addresslbl2', 'FIND US AT');

		$address3 = get_theme_mod('contact_page_address3', 'Lorem ipsum dolor sit amet, consectetur');
		$addresslbl3 = get_theme_mod('contact_page_addresslbl3', 'SEND US');

		?>
		<div class="<?php if(get_theme_mod('peccular_inner_page_width','Box Width') == 'Box Width'){ ?> container <?php } elseif(get_theme_mod('peccular_inner_page_width','Box Width') == ' Full Width'){ ?> container-fluid <?php }?>">
			<div class="row main-block">
				<?php if($addresslbl1 || $address1){ ?>
					<div class="col-xl-4 col-lg-4 col-md-12 contact-block">
						<i class="fa fa-asterisk icon"></i>
						<div class="outer-block">
							<div class="row border-box">
								<div class="col-xl-2 col-lg-2 col-md-12">
									<i class="fa fa-asterisk"></i>
								</div>
								<div class="col-xl-10 col-lg-10 col-md-12 label-box">
									<strong><?php echo ($addresslbl1);  ?></strong>
									<?php echo ($address1);  ?>

								</div>
							</div>
						</div>
					</div>
				<?php }?>
				<?php if($addresslbl2 || $address2){ ?>
					<div class="col-xl-4 col-lg-4 col-md-12 contact-block">
						<i class="fa fa-map-marker icon"></i>
						<div class="row border-box">
							<div class="col-xl-2 col-lg-2 col-md-12">
								<i class="fa fa-map-marker"></i>
							</div>
							<div class="col-xl-10 col-lg-10 col-md-12 label-box">
								<strong><?php echo ($addresslbl2);  ?></strong>
								<?php echo ($address2);  ?>
							</div>
						</div> 
					</div>
				<?php }?>
				<?php if($addresslbl3 || $address3){ ?>
					<div class="col-xl-4 col-lg-4 col-md-12 contact-block">
						<i class="fa fa-envelope icon"></i>
						<div class="row border-box">
							<div class="col-xl-2 col-lg-2 col-md-12">
								<i class="fa fa-envelope"></i>
							</div>
							<div class="col-xl-10 col-lg-10 col-md-12 label-box">
								<strong><?php echo ($addresslbl3);  ?></strong>
								<?php echo ($address3);  ?>
							</div>
						</div>
					</div>
				<?php }?>
			</div>
		</div>
		<div id="peccular-contactus-wrap"> 
			
			<?php if( get_theme_mod('peccular_contactimg_display','show' ) == 'show') :
				?>  
				<div class="peccular-contactpage-img">  
					<?php 
					$peccular_contactpage_image = get_theme_mod('peccular_contactpage_image');
					if(!empty($peccular_contactpage_image)){
						echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($peccular_contactpage_image).'" class="peccular-about-imgboxshape" />';
					}else{
						echo '<img alt="about us" src="'.get_template_directory_uri().'/images/contactpage.png" class="peccular-about-imgboxshape" />';
					}
					?>						
				</div> 	
			<?php endif ?>

			<div class="row">
				<!-- <div class="<?php //if(get_theme_mod('peccular_inner_page_width','Box Width') == 'Box Width'){ ?> container <?php //} elseif(get_theme_mod('peccular_inner_page_width','Box Width') == ' Full Width'){// ?> container-fluid <?php //}?>">  -->    


					<?php if(!empty($peccular_contact_page_form_shortcode)){ ?>
						
						<div class="col-xl-5 offset-xl-2 col-lg-5 offset-lg-2 col-md-8 offset-md-2 col-sm-8 offset-sm-3 peccular-contact-page-form p-0 <?php echo esc_attr(get_theme_mod('peccular_contactpage_box_onload_effects','wow bounceInUp')); ?>" data-wow-duration="1s">	
							<?php if($peccular_contform_maintitle || $peccular_contform_maintitle){ ?>
								<div class="conntact_box_heading" >
									<?php if($peccular_contform_maintitle){ ?> 	           
										<h2><?php echo ($peccular_contform_maintitle);  ?></h2>        
									<?php }?>		
								</div>
								<div class="border wow bounceInUp" data-wow-duration="1s"></div>
								<div class="border b-2"></div>
							<?php }?>


							<?php if($phone ){ ?>
								<div class="info-txt f-box">
									<div class="row resp-display">
										<div class="col-xl-1 col-lg-2 col-md-2 col-sm-2 d-fl">
											<div class="icnbx">
												<?php echo ($phonelbl);  ?>
											</div>

										</div>
										<div class="col-xl-11 col-lg-10 col-md-10 col-sm-10 infoinnbx d-fl">
											<a href="tel:<?php echo $phone;?>"><?php echo ($phone);  ?></a>
										</div>
									</div>
								</div>
							<?php } ?>	

							<?php if( $email ){ ?>
								<div class="info-txt s-box">
									<div class="row resp-display">
										<div class="col-xl-1 col-lg-2 col-md-2 col-sm-2 d-fl">
											<div class="icnbx m-icnbx">
												<?php echo $emaillbl;?>
											</div>
										</div>
										<div class="col-xl-11 col-lg-10 col-md-10  col-sm-10 infoinnbx d-fl">
											<a href="mailto:<?php echo $email;?>"><?php echo $email;?></a>	
										</div>
										<div class="clearfix"></div>
									</div>
								</div>
							<?php } ?>	
							<?php if($address ){ ?>
								<div class="info-txt t-box">
									<div class="row resp-display">
										<div class="col-xl-1 col-lg-2 col-md-2 col-sm-2 d-fl">
											<div class="icnbx">
												<?php echo ($addresslbl);  ?>
											</div>
										</div>
										<div class="col-xl-11 col-lg-10 col-md-10 col-sm-10 infoinnbx address-info d-fl">
											<p><?php echo ($address);  ?></p>
										</div>
									</div>
								</div>
							<?php } ?>

							<div class="conntact_box_subheading" >
								<?php if($peccular_contform_maintext){ ?> 	           
									<p><?php echo ($peccular_contform_maintext);  ?></p>        
								<?php }?>		
							</div>		
							<div class="conntact_box_form">		
								<?php echo do_shortcode($peccular_contact_page_form_shortcode);?>
								<div class="clearfix"></div>
							</div>	
							<div class="clearfix"></div>
						</div>
					<?php }?>


					<!-- </div> --><!-- container-->
					<div class="col-xl-5 col-lg-5 contact-contact-mapbox <?php echo esc_attr(get_theme_mod('soccerclub_contactpage_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
						<div class="map_overlay"></div>
						<?php if(!empty($contact_page_iframe_shortcode)){ ?>
							<?php echo ($contact_page_iframe_shortcode);  ?>
						<?php }?>					
					</div>
				</div>	<!-- peccular-contactus-wrap-->	
			</div>					

		</div>
	</main>
	<?php get_footer(); ?>